package masterInt.CandP.exo4;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.ServerSocket;
import java.net.Socket;

public class Server {

    // port number to listen on
    private final int port;

    public Server(int port) 
    {
        this.port = port;
    }

    public void execute() 
    {
        //...
    }

    public static void main(String[] args) 
    {
        if (args.length != 1) {
            System.err.println("usage: java " + Server.class.getCanonicalName()
                    + " <serverPort>");
            System.exit(1);
        }

        // On unix systems you can check that the server is running
        // by executing the following command:
        // lsof -Pi | grep 9999
        try {
            new Server(Integer.parseInt(args[0])).execute();
        } catch (NumberFormatException e) {
            throw new IllegalArgumentException("Invalid port number: "
                    + args[0]);
        }
    }

}
